#define DEBUG
#ifdef  DEBUG
#define MSG(string, args...)    printk(KERN_ALERT "siscir:" string, ##args)
#else
#define MSG(string,args...)
#endif

#define CIR_IRQ                 0x5	// SiS CIR Interrupt 
#define CIR_MINOR                 5	// Minor device # for SiS CIR 

/*--------- SiS CIR ITEMS -------------*/
#define	CIR_BASE		0x310
#define CIR_DATA_PORT           0x310
#define CIR_ISR_PORT           	0x312
#define CIR_RSR_PORT            0x315
#define CIR_EXTENT    		0XA
#define CIR_FIFO_SIZE		63
#define ID_Code1                0x53
#define ID_Code2                0xAB

struct cir_status {
	int present;
	int active;
	unsigned char buff[CIR_FIFO_SIZE];
	unsigned char prev_key;
	u16 base_reg;
	u16 irq_reg;
	int head; 
	int tail;
	wait_queue_head_t wait;
	struct fasync_struct *fasyncptr;
};


